import {
  DefaultChain,
  filterChainObj,
} from '@/constants/UnifiedManagementChain';
// 表格需要展示的币种名称
export const useTableHeadToken = () => {
  return useState('TableHeadTokenType', () => {
    let Obj = filterChainObj('value', DefaultChain);
    return Obj.Currency[0];
  });
};

// 通知收藏内容更新
export const CollectionChange = () => {
  return useState('CollectionTable', () => {
    return {
      value: 1,
      isOpen: null,
    };
  });
};

// 通知右侧详情，取消收藏
export const CollectionDelete = () => {
  return useState('CollectionListDetele', () => 1);
};

// 折线图是否重载
export const useWatchEcharts = () => {
  return useState('WatchEchartsInit', () => 1);
};
